Package org.apache.calcite.avatica.remote

# Class Service.DatabasePropertyResponse

java.lang.Object
org.apache.calcite.avatica.remote.Service.Base
org.apache.calcite.avatica.remote.Service.Response
org.apache.calcite.avatica.remote.Service.DatabasePropertyResponse

Enclosing interface:
  Service

public static class Service.DatabasePropertyResponse extends Service.Response
Response for `Meta.getDatabaseProperties(Meta.ConnectionHandle)`.

## Field Summary

Fields
Modifier and Type
Field
Description
`final Map<Meta.DatabaseProperty,Object>`
`map`
`final Service.RpcMetadataResponse`
`rpcMetadata`

## Constructor Summary

Constructors
Constructor
Description
`DatabasePropertyResponse(Map<Meta.DatabaseProperty,Object> map, Service.RpcMetadataResponse rpcMetadata)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`hashCode()`

### Methods inherited from class org.apache.calcite.avatica.remote.Service.Base

`p, p, p, p`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### map

public final Map<Meta.DatabaseProperty,Object> map

### rpcMetadata

public final Service.RpcMetadataResponse rpcMetadata

## Constructor Details

### DatabasePropertyResponse

public DatabasePropertyResponse(Map<Meta.DatabaseProperty,Object> map, Service.RpcMetadataResponse rpcMetadata)

## Method Details

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`